#hero-image {
    transform: scaleX(-1);
}

picture:has(#hero-image)::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgba(0, 0, 0, .15) 10%, rgba(0, 0, 0, .0));
}

#hero-title {
    top: 128px;
    width: 45%;
}

#numbers, #chiffres {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-items: center;
    padding: 48px 0;
}

#team-section,
#experience-section {
    aspect-ratio: 2 / 1;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#team-section *::selection,
#iso-header *::selection,
#experience-section *::selection {
    background-color: white;
    color: var(--primary);
}

#experience-section {
    background-image: url("../assets/img/tech_effect2.jpg");
}

#experience-section * {
    margin: 0;
}

#team-section {
    background: linear-gradient(1.75rad, rgba(0, 0, 0, .55) 30%, rgba(0, 0, 0, .0)),
        url("../assets/img/team_section.jpg");
    background-size: cover, cover;
    background-attachment: scroll, fixed;
    background-repeat: no-repeat, no-repeat;
}

#iso-header {
    position: relative;
    aspect-ratio: 2 / 1;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#iso-image {
    position: absolute;
    left: 0;
    width: 100%;
    z-index: -1;
    height: 100%;
    max-width: 100%;
    filter: saturate(60%);
}

@media only screen and (max-width: 1300px) {
    #hero-title {
        width: 50%;
        box-sizing: content-box;
    }
}

@media only screen and (max-width: 768px) {

    #experience-section,
    #team-section,
    #iso-header {
        aspect-ratio: initial;
    }

    #experience-section {
        background: linear-gradient(1.75rad, rgba(0, 0, 0, .25), rgba(0, 0, 0, .25)),
            url("../assets/img/tech_effect2.jpg");
        background-size: cover, cover;
    }

    #team-section {
        background: linear-gradient(1.75rad, rgba(0, 0, 0, .55), rgba(0, 0, 0, .55)),
            url("../assets/img/team_section.jpg");
        background-size: cover cover;
        background-attachment: initial, initial;
    }

    #iso-image {
        object-position: 65% 50%;
        filter: saturate(60%) brightness(85%);
    }

    #iso-text {
        padding: 0;
    }

    .s-50,
    .e-50 {
        width: auto;
    }
}

@media only screen and (max-width: 480px) {
    #hero-title {
        width: auto;
        top: 96px;
    }

    #hero-image {
        object-position: 70% 50%;
    }

    picture:has(#hero-image)::after {
        background: linear-gradient(to bottom, rgba(0, 0, 0, .40) 10%, rgba(0, 0, 0, .0));
    }

    #numbers, #chiffres {
        grid-template-columns: 1fr;
        gap: 32px;
    }

    #numbers .column, #chiffres .column {
        gap: 8px;
    }
}
